cmsApp.filter('filterMessages', ['messageService', function(messageService) {
    return function(monitor) {
        var copy = angular.extend([], messageService.messages);
        messageService.clear();
        return copy;
    }
}])
.filter('nonCssAndScssFiles', function(commonUtilService) {
    return function(changedFiles) {
        var tmpChangedFiles = [];
        angular.forEach(changedFiles, function (changedFile){
            if((!commonUtilService.isCssFile(changedFile.fileName)) && (!commonUtilService.isScssFile(changedFile.fileName))) {
                tmpChangedFiles.push(changedFile);
            }
        });

        return tmpChangedFiles;
    }
});