cmsApp.config(function ($routeProvider) {

    $routeProvider
        .when('/conflict-list', {
            templateUrl: '/cms/views/conflict-list-view',
            controller: 'ConflictListController'
        })
        .when('/error', {
            templateUrl: '/cms/views/error-view',
            controller: 'ErrorController'
        })
        .when('/page-management', {
            templateUrl: '/cms/views/page-management',
            controller: 'PageManagementController'
        })
        .when('/edit', {
            templateUrl: '/cms/views/wysiwyg-edit',
            controller: 'EditPageController'
        })
        .when('/wysiwyg-edit',{
            templateUrl: '/cms/views/wysiwyg-edit',
            controller: 'WysiwygEditController'
        })
        .when('/module-edit', {
            templateUrl: '/cms/views/module-edit',
            controller: 'EditModuleController'
        })
        .when('/shared-module-edit', {
            templateUrl: '/cms/views/shared-module-edit',
            controller: 'EditSharedModuleController'
        })
        .when('/merge-branch', {
            templateUrl: '/cms/views/merge-branch-view',
            controller: 'MergeBranchController'
        })
        .when('/managebranch-display', {
            templateUrl: '/cms/views/manage-branch-view',
            controller: 'ManageWorkspaceController'
        })
        .when('/managebranch-display/:tab', {
            templateUrl: '/cms/views/manage-branch-view',
            controller: 'ManageWorkspaceController'
        })
        .when('/view-changes', {
            templateUrl: '/cms/views/view-changes',
            controller: 'ViewChangesController'
        })
        .when('/image-management', {
            templateUrl: '/cms/views/image-management-view',
            controller: 'ImageManagementController'
        })
        .when('/search', {
            templateUrl: '/cms/views/search-view',
            controller: 'SearchController'
        })
        .when('/change-history', {
            templateUrl: '/cms/views/change-history-view',
            controller: 'ChangeHistoryController'
        })
        .when('/page-history', {
            templateUrl: '/cms/views/page-history-view',
            controller: 'PageHistoryController'
        })
        .when('/add-page', {
            templateUrl: '/cms/views/addpage-view',
            controller: 'PageManagementController'
        })
        .when('/user-management', {
            templateUrl: '/cms/views/user-management-view',
            controller: 'UserManagementController'
        }).when('/suspend-publish', {
            templateUrl: '/cms/views/suspend-publish-view',
            controller: 'SuspendPublishController'
        })
        .when('/user-details', {
            templateUrl: '/cms/views/user-details-view',
            controller: 'UserDetailsController'
        })
        .when('/push-to-live', {
            templateUrl: '/cms/views/push-to-live',
            controller: 'PushToLiveController'
        }).when('/menu', {
            templateUrl: '/cms/views/menu-view',
            controller: 'MenuViewController'
        })
        .when('/change-password', {
            templateUrl: '/cms/views/change-password-view',
            controller: 'UserDetailsController'
        })
        .when('/change-own-password', {
            templateUrl: '/cms/views/change-user-password-view',
            controller: 'ChangeUserPasswordController'
        })
        .when('/compare-file-revisions', {
            templateUrl: '/cms/views/compare-file-revisions',
            controller: 'CompareFileRevisionsController'
        })
        .when('/validate-contents', {
            templateUrl: '/cms/views/validate-contents-view',
            controller: 'ValidateContentsController'
        })
        .when('/fix-grunt', {
            templateUrl: '/cms/views/fix-grunt-view',
            controller: 'GruntController'
        })
        .when('/update-reset', {
            templateUrl: '/cms/views/update-reset-view',
            controller: 'UpdateAndResetWorkSpaceController'
        })
        .otherwise({
            redirectTo: '/menu'
        });

})