cmsApp.controller('ValidateContentsController', [
    '$scope',
    '$http',
    '$window',
    '$rootScope',
    'errorService',
    function SearchController($scope, $http, $window, $rootScope,errorService){

        $scope.$parent.pageTitle = "Validate Contents";
        $window._testSupport = {
            isDocReady : function() {
                var phase = $rootScope.$root.$$phase;
                return $http.pendingRequests.length == 0 && phase != '$apply' && phase != '$digest';
            }
        };

        $http.get('/cms/validate',{params : {force:true}}).then(function(response){

            $scope.validation = response.data.validation
        }, errorService.errorHandler);

    }]);

