cmsApp.factory("userService", function ($http, errorService, $cookies) {

    var userData = {
        user: null,
        roles: null,
        hasRole: function (name) {
            if (!this.roles) {
                return false;
            }
            return this.roles.indexOf(name) > -1;
        }
    };

    $http.get('/cms/user/currentuser').then(function (result) {
        userData.user=result.data.currentUser.username;
        userData.roles = result.data.currentUser.roles;
    }, errorService.errorHandler);

    return { getUserData: function () {
        return userData;
    }
    };
});