cmsApp.controller('ChangeHistoryController', [
    '$scope',
    '$http',
    '$window',
    '$rootScope',
    'errorService',
    function ChangeHistoryController($scope, $http, $window, $rootScope,  errorService) {
        $window._testSupport = {
            isDocReady : function() {
                var phase = $rootScope.$root.$$phase;
                return $http.pendingRequests.length == 0 && phase != '$apply' && phase != '$digest';
            }
        };

        $scope.$on('pageChangeEvent', function(event, callback, pageNumber) {
            $http.get("/cms/git/changehistory", {params: {pageNum: pageNumber}}).then(function(response){callback(response.data.cmsChangeHistory)}, errorService.errorHandler);
        });

        $scope.$parent.pageTitle = "Change History";
        $scope.showCloseButton = false;
    }
]);

