cmsApp.controller('GruntController', [
    '$scope',
    '$http',
    '$window',
    'gitService',
    '$rootScope',
    'errorService',
    function GruntController($scope, $http, $window,gitService, $rootScope,errorService){

        $scope.$parent.pageTitle = "Grunt Task";
        // show status

        $scope.grunt_required=false;
        $scope.git_status="Git Status";
        $scope.git_message="Grunt Fix is not required";
        $scope.get_git_status=function(){
            $scope.git_message="Grunt Fix is not required";
            $scope.grunt_required=false;
            gitService.status().then(function(result, control){
            $scope.git_status=result.data.gitStatus;
            console.log($scope.git_status.missing);
            if($scope.git_status.missing.length !== 0){

            for(i=0;i<=$scope.git_status.missing.length;i++){
                var filename = $scope.git_status.missing[i];

                if(filename.substr(filename.lastIndexOf('.')+1) === 'css'){
                    $scope.grunt_required=true;
                    $scope.git_message="Execute Grunt";
                break;
                }
            }
            }

        })};
        $scope.get_git_status();

         $scope.fixGrunt=function(){
            console.log('I am called');
            $http.get('/cms/ajax/grunt/atomic/run', {params: {applicationContext:  'www'}}).then(function(response){
                 $scope.get_git_status();
            }, errorService.errorHandler);
        }
        // if status contains missing files
        // then enable fix-grunt button
        /*$http.get('/cms/ajax/grunt/atomic/run', {params: {applicationContext:  'www'}}).then(function(response){
            $scope.validation = response.data.validation
        }, errorService.errorHandler);*/

    }]);

